#ifndef __TYPES_H__
#define __TYPES_H__
// =========================================
#define MAX_U16  65535
#define MAX_S16  32767

#define SBI(x,y) (x |= (1<<y))
#define CBI(x,y) (x &= ~(1<<y))

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)
//#define NULL    0

typedef unsigned char  BYTE;
typedef unsigned int   WORD;
typedef unsigned long  DWORD;

typedef unsigned short  USHORT;
//typedef unsigned char   BOOL;

typedef unsigned char  UCHAR;
typedef unsigned int   UINT;
typedef unsigned long  ULONG;

typedef char  CHAR;
typedef int   INT;
typedef long  LONG;

// alternative types
//typedef unsigned char  uint8;
//typedef unsigned short uint16;
//typedef unsigned long  uint32;

/*
typedef char  S8;
typedef short S16;
typedef long  S32;
*/
// =========================================
#endif
